Lässt sich in Ubuntu 16.04 nicht installieren.

Keine Scheu, hier darf alles gefragt und diskutiert werden. Das ist das Forum für YaCy-Anfänger. Hier kann man 'wo muss man klicken' fragen und sich über Grundlagen zur Suchmaschinentechnik unterhalten.
Forumsregeln
Hier werden Fragen beantwortet und wir versuchen die Probleme von YaCy-Newbies zu klären. Bitte beantwortete Fragen im YaCy-Wiki http://wiki.yacy.de dokumentieren!

Lässt sich in Ubuntu 16.04 nicht installieren.

Beitragvon addiks » Fr Okt 07, 2016 7:38 am

Hallo,
ich würde Yacy gerne auf meinem Ubuntu 16.04 System installieren, jedoch schlägt jeder Installationsversuch fehl. Zuerst habe ich versucht Yacy als Debian-Paket zu installieren, bekam jedoch folgende Fehlermeldung(en):
Code: Alles auswählen
gerrit@gerrit-macbook:~$ echo 'deb http://debian.yacy.net ./' | sudo tee /etc/apt/sources.list.d/yacy.list
[sudo] Passwort für gerrit:
deb http://debian.yacy.net ./
gerrit@gerrit-macbook:~$ sudo apt-key advanced --keyserver pgp.net.nz --recv-keys 03D886E7
Executing: /tmp/tmp.olFdggwnac/gpg.1.sh --keyserver
pgp.net.nz
--recv-keys
03D886E7
gpg: Schlüssel 03D886E7 von hkp-Server pgp.net.nz anfordern
gpg: Schlüssel 03D886E7: Öffentlicher Schlüssel "Michael Peter Christen <mc@yacy.net>" importiert
gpg: Anzahl insgesamt bearbeiteter Schlüssel: 1
gpg:               importiert: 1  (RSA: 1)
gerrit@gerrit-macbook:~$ sudo apt update
OK:1 http://... precise InRelease
OK:2 http://... xenial InRelease                                               
Ign:3 http://... stable InRelease                                                           
OK:4 http://de.archive.ubuntu.com/ubuntu xenial InRelease                                                             
OK:5 http://ppa.launchpad.net/obsproject/obs-studio/ubuntu xenial InRelease                                           
OK:6 http://repository.spotify.com stable InRelease                                                                   
OK:7 http://security.ubuntu.com/ubuntu xenial-security InRelease                                                       
OK:8 http://... stable Release                                                             
Holen:9 http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu xenial InRelease [17,6 kB]                             
Ign:10 http://debian.yacy.net ./ InRelease                                                                             
Holen:11 http://de.archive.ubuntu.com/ubuntu xenial-updates InRelease [95,7 kB]                                       
Ign:12 http://... xenial InRelease                                                 
Holen:13 http://debian.yacy.net ./ Release [1.202 B]                                                                   
OK:14 http://ppa.launchpad.net/ondrej/php/ubuntu xenial InRelease                                                     
Holen:15 http://debian.yacy.net ./ Release.gpg [473 B]                                                         
OK:16 http://... xenial Release                                                   
OK:17 http://de.archive.ubuntu.com/ubuntu xenial-backports InRelease                                 
OK:18 http://... xenial InRelease
OK:19 http://... xenial InRelease
Holen:21 http://debian.yacy.net ./ Packages [602 B]   
Holen:22 http://de.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [396 kB]
Holen:24 http://de.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [391 kB]
Holen:25 http://de.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [335 kB]
Holen:26 http://de.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [331 kB]
OK:27 https://packagecloud.io/slacktechnologies/slack/debian jessie InRelease
Es wurden 1.567 kB in 2 s geholt (623 kB/s).
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Aktualisierung für 36 Pakete verfügbar. Führen Sie »apt list --upgradable« aus, um sie anzuzeigen.
W: http://debian.yacy.net/./Release.gpg: Signature by key 8BD752501CB62448A30EA3EA1F968B3903D886E7 uses weak digest algorithm (SHA1)
W: http://.../ubuntu/dists/xenial/Release.gpg: Signature by key ... uses weak digest algorithm (SHA1)

gerrit@gerrit-macbook:~$ sudo apt install yacy
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Die folgenden NEUEN Pakete werden installiert:
  yacy
0 aktualisiert, 1 neu installiert, 0 zu entfernen und 10 nicht aktualisiert.
Es müssen noch 0 B von 49,6 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 66,1 MB Plattenplatz zusätzlich benutzt.
Vorkonfiguration der Pakete ...
Vormals nicht ausgewähltes Paket yacy wird gewählt.
(Lese Datenbank ... 360879 Dateien und Verzeichnisse sind derzeit installiert.)
Vorbereitung zum Entpacken von .../yacy_1.90.9000_all.deb ...
Entpacken von yacy (1.90.9000) ...
Trigger für systemd (229-4ubuntu10) werden verarbeitet ...
Trigger für ureadahead (0.100.0-19) werden verarbeitet ...
yacy (1.90.9000) wird eingerichtet ...
Job for yacy.service failed because the control process exited with error code. See "systemctl status yacy.service" and "journalctl -xe" for details.
invoke-rc.d: initscript yacy, action "start" failed.
dpkg: Fehler beim Bearbeiten des Paketes yacy (--configure):
Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
Trigger für systemd (229-4ubuntu10) werden verarbeitet ...
Trigger für ureadahead (0.100.0-19) werden verarbeitet ...
Fehler traten auf beim Bearbeiten von:
yacy
E: Sub-process /usr/bin/dpkg returned an error code (1)
gerrit@gerrit-macbook:~$ systemctl status yacy.service
● yacy.service - LSB: Distributed web search engine
   Loaded: loaded (/etc/init.d/yacy; bad; vendor preset: enabled)
   Active: failed (Result: exit-code) since Fr 2016-10-07 08:15:37 CEST; 9s ago
     Docs: man:systemd-sysv-generator(8)

Okt 07 08:15:36 gerrit-macbook systemd[1]: Starting LSB: Distributed web search engine...
Okt 07 08:15:37 gerrit-macbook yacy[4674]: Starting YaCy P2P Web Search: failed.
Okt 07 08:15:37 gerrit-macbook systemd[1]: yacy.service: Control process exited, code=exited status=1
Okt 07 08:15:37 gerrit-macbook systemd[1]: Failed to start LSB: Distributed web search engine.
Okt 07 08:15:37 gerrit-macbook systemd[1]: yacy.service: Unit entered failed state.
Okt 07 08:15:37 gerrit-macbook systemd[1]: yacy.service: Failed with result 'exit-code'.
gerrit@gerrit-macbook:~$


Nachdem das fehlgeschlagen ist habe ich das yacy-Archiv (yacy_v1.90_20160704_9000.tar.gz) heruntergeladen und versucht zu starten:
Code: Alles auswählen
gerrit@gerrit-macbook:~/Programme/yacy$ java -version
openjdk version "9-internal"
OpenJDK Runtime Environment (build 9-internal+0-2016-04-14-195246.buildd.src)
OpenJDK 64-Bit Server VM (build 9-internal+0-2016-04-14-195246.buildd.src, mixed mode)
gerrit@gerrit-macbook:~/Programme/yacy$ ./startYACY.sh -d
****************** YaCy Web Crawler/Indexer & Search Engine *******************
**** (C) by Michael Peter Christen, usage granted under the GPL Version 2  ****
****   USE AT YOUR OWN RISK! Project home and releases: http://yacy.net/   ****
**  LOG of       YaCy: DATA/LOG/yacy00.log (and yacy<xx>.log)                **
**  STOP         YaCy: execute stopYACY.sh and wait some seconds             **
**  GET HELP for YaCy: see http://wiki.yacy.net and http://forum.yacy.de     **
*******************************************************************************
>> YaCy started as daemon process. Administration at http://localhost:8090 <<
Fehler: Konfigurationsdatei wurde nicht gefunden: /usr/lib/jvm/java-9-openjdk-amd64/conf/management/management.properties
gerrit@gerrit-macbook:~/Programme/yacy$ curl http://localhost:8090
curl: (7) Failed to connect to localhost port 8090: Verbindungsaufbau abgelehnt
gerrit@gerrit-macbook:~/Programme/yacy$ uname -a
Linux gerrit-macbook 4.4.0-38-generic #57-Ubuntu SMP Tue Sep 6 15:42:33 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
gerrit@gerrit-macbook:~/Programme/yacy$


Start über "strace": http://pastebin.com/w30nzZEj

Habe ich etwas falsch gemacht? Kann hier jemand helfen? Vielen Dank.
addiks
 
Beiträge: 2
Registriert: Fr Okt 07, 2016 7:20 am

Re: Lässt sich in Ubuntu 16.04 nicht installieren.

Beitragvon luc » Fr Okt 07, 2016 7:44 pm

Hello addiks, I hope it is not a problem if I answer you in English, but my german level is still too bad...

It looks like you are using OpenJDK 9, but the currently stable Java version is 8. Why not trying to launch YaCy with the OpenJDK 8?
YaCy is developped and tested with Java 7 and Java 8, so using one of these would increase your chances to launch sucessfully YaCy.

By the way I will have a try with the OpenJDK-9 as soon as I have some time...

Best regards
luc
 
Beiträge: 283
Registriert: Mi Aug 26, 2015 1:04 am

Re: Lässt sich in Ubuntu 16.04 nicht installieren.

Beitragvon luc » Sa Okt 08, 2016 7:15 am

I had forgotten, but Orbiter has already tested YaCy with Java 9 as he reported on Twitter.

Please note it won't work with the 1.90 release, but only with latest YaCy sources from GitHub (see the "Clone or Download" button), that you will need to compile yourself first (see instructions).
luc
 
Beiträge: 283
Registriert: Mi Aug 26, 2015 1:04 am

Re: Lässt sich in Ubuntu 16.04 nicht installieren.

Beitragvon addiks » Sa Okt 08, 2016 11:22 am

Thanks for the replies. English is fine with me, i just thought that this was a german forum because it is a ".de" tld. I guess i'll wait until yacy works with java-9 then, since downgrading the installed version would probably create a lot of other problems on my machine for other applications that depend on java-9.
addiks
 
Beiträge: 2
Registriert: Fr Okt 07, 2016 7:20 am


Zurück zu Hilfe für Einsteiger und Anwender

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast

cron